OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.VertexAttrib64Bit

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBVertexAttrib64Bit :: MonadIO m => m Bool
- gl_ARB_vertex_attrib_64bit :: Bool
- pattern GL_DOUBLE_MAT2 :: GLenum
- pattern GL_DOUBLE_MAT2x3 :: GLenum
- pattern GL_DOUBLE_MAT2x4 :: GLenum
- pattern GL_DOUBLE_MAT3 :: GLenum
- pattern GL_DOUBLE_MAT3x2 :: GLenum
- pattern GL_DOUBLE_MAT3x4 :: GLenum
- pattern GL_DOUBLE_MAT4 :: GLenum
- pattern GL_DOUBLE_MAT4x2 :: GLenum
- pattern GL_DOUBLE_MAT4x3 :: GLenum
- pattern GL_DOUBLE_VEC2 :: GLenum
- pattern GL_DOUBLE_VEC3 :: GLenum
- pattern GL_DOUBLE_VEC4 :: GLenum
- pattern GL_RGB32I :: GLenum
- glGetVertexAttribLdv :: MonadIO m => GLuint -> GLenum -> Ptr GLdouble -> m ()
- glVertexAttribL1d :: MonadIO m => GLuint -> GLdouble -> m ()
- glVertexAttribL1dv :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttribL2d :: MonadIO m => GLuint -> GLdouble -> GLdouble -> m ()
- glVertexAttribL2dv :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttribL3d :: MonadIO m => GLuint -> GLdouble -> GLdouble -> GLdouble -> m ()
- glVertexAttribL3dv :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttribL4d :: MonadIO m => GLuint -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glVertexAttribL4dv :: MonadIO m => GLuint -> Ptr GLdouble -> m ()
- glVertexAttribLPointer :: MonadIO m => GLuint -> GLint -> GLenum -> GLsizei -> Ptr a -> m ()

# Extension Support

glGetARBVertexAttrib64Bit :: MonadIO m => m Bool Source #

Is the ARB_vertex_attrib_64bit extension supported?

gl_ARB_vertex_attrib_64bit :: Bool Source #

Is the ARB_vertex_attrib_64bit extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBVertexAttrib64Bit` in those cases instead.

# Enums

pattern GL_DOUBLE_MAT2 :: GLenum Source #

pattern GL_DOUBLE_MAT2x3 :: GLenum Source #

pattern GL_DOUBLE_MAT2x4 :: GLenum Source #

pattern GL_DOUBLE_MAT3 :: GLenum Source #

pattern GL_DOUBLE_MAT3x2 :: GLenum Source #

pattern GL_DOUBLE_MAT3x4 :: GLenum Source #

pattern GL_DOUBLE_MAT4 :: GLenum Source #

pattern GL_DOUBLE_MAT4x2 :: GLenum Source #

pattern GL_DOUBLE_MAT4x3 :: GLenum Source #

pattern GL_DOUBLE_VEC2 :: GLenum Source #

pattern GL_DOUBLE_VEC3 :: GLenum Source #

pattern GL_DOUBLE_VEC4 :: GLenum Source #

pattern GL_RGB32I :: GLenum Source #

# Functions

glGetVertexAttribLdv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type VertexAttribEnum.
-> Ptr GLdouble | `params` pointing to `COMPSIZE(pname)` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 4.x.

glVertexAttribL1d Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> m () |

Manual page for OpenGL 4.x.

glVertexAttribL1dv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `1` element of type `GLdouble`.
-> m () |

Manual page for OpenGL 4.x.

glVertexAttribL2d Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> m () |

Manual page for OpenGL 4.x.

glVertexAttribL2dv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `2` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 4.x.

glVertexAttribL3d Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> m () |

Manual page for OpenGL 4.x.

glVertexAttribL3dv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `3` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 4.x.

glVertexAttribL4d Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> GLdouble | `w`.
-> m () |

Manual page for OpenGL 4.x.

glVertexAttribL4dv Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLdouble | `v` pointing to `4` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 4.x.

glVertexAttribLPointer Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint | `size`.
-> GLenum | `type` of type VertexAttribPointerType.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `size` elements of type `a`.
-> m () |

Manual page for OpenGL 4.x.